[CANCEL] [VOTE] Release Apache NiFi MiNiFI C++ 0.3.0 (RC1)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[CANCEL] [VOTE] Release Apache NiFi MiNiFI C++ 0.3.0 (RC1)

Marc Parisi
Hi,
  I'm canceling the vote per the licensing issue Tony found within our
LICENSE. I'm voting -1 and canceling in lieu of MINIFICPP-319 [1] . I will
create RC2 once that issue is addressed and merged.

 Thank you everyone!

[1] https://issues.apache.org/jira/browse/MINIFICPP-319

On Nov 24, 2017 11:31 AM, "Marc" <[hidden email]> wrote:

Hi Tony,
   The version we are including is 5.7.0 ( this can be verified via
/thirdparty/rocksdb/include/rocksdb/version.h ). I think that [6] and [7]
apply to a version before, which implied to me that we were okay to include
rocksdb under the Apache License.

   This version includes a few LevelDB files, so you may be correct. I
vaguely recall the discussions in the ticket, but I can't remember the
justification for removing the LevelDB. I think there was some offline
discussion and perhaps a misunderstanding.

   The Apache License Howto [8] is clear on this, so I should not have
removed the LevelDB LICENSE section. Since IANAL I will allow anyone to
correct me before closing the RC and issuing another. Thanks for noticing
this.

   This caused me to double check the other deps and it appears that the
kafka dependency includes a few separately licensed files. Before
submitting a PR to resolve this I'll ensure that all third party
dependencies are included in our LICENSE file.

   [8 ]http://www.apache.org/dev/licensing-howto.html#deps-of-deps

On Fri, Nov 24, 2017 at 9:47 AM, Tony Kurc <[hidden email]> wrote:

> Question about the LICENSE. When swapping in rocksdb for leveldb [1], the
> leveldb LICENSE section was removed. I looked at the ticket chatter [2] and
> saw "Not including RocksDB because
> it is dual licensed under Apache License, Version2.0". In reviewing the
> rocksdb thirdparty, it has a LICENSE.leveldb file [2], which says the code
> includes "Leveldb licensed" code . I tried poking around, and it looks like
> there has been a lot of discussion about rocksdb licensing, and saw a few
> unceremonious commits / PRs. Digging further, I found this LEGAL ticket
> [6], which I honestly can't tell what it implies, but I can't tell what
> happened with this comment [7].
>
> Did this already get discussed and I missed it somehow? Two questions,
> Should the leveldb license section be re-added to our base LICENSE, and
> secondly, should we look more closely at that LEGAL ticket decision, or is
> the version we pulled not applicable to that discussion?
>
> 1. https://github.com/apache/nifi-minifi-cpp/commit/
> 488677321cdf32c196fdaae6fb31a2b38ef10461#diff-9879d6db96fd29
> 134fc802214163b9
> 5a
> 2. https://issues.apache.org/jira/browse/MINIFICPP-113
> 3. https://github.com/apache/nifi-minifi-cpp/blob/minifi-
> cpp-0.3.0-RC1/thirdparty/rocksdb/LICENSE.leveldb
> 4. https://github.com/facebook/rocksdb/commit/4a2e4891fe4c6f66f
> b9e8e2d29b04f
> 46ee702b52
> <https://github.com/facebook/rocksdb/commit/4a2e4891fe4c6f66fb9e8e2d29b04f46ee702b52>
> 5. https://github.com/facebook/rocksdb/pull/2591
> 6. https://issues.apache.org/jira/browse/LEGAL-303
> 7.
> https://issues.apache.org/jira/browse/LEGAL-303?focusedComme
> ntId=16109870&page=com.atlassian.jira.plugin.system.issuetab
> panels:comment-tabpanel#comment-16109870
>
>
>
>
> On Wed, Nov 22, 2017 at 10:18 PM, Kevin Doran <[hidden email]>
> wrote:
>
> > +1 (non-binding)
> >
> > Verified hashes, built and ran all tests, built docker and ran all
> > integration tests. Ran a simple test flow.
> >
> > I did run into one minor issue, which is if virtualenv is configured with
> > python3 by default then creating the virtual environment for the pytest
> > integration tests fails. As this only affects integration tests in some
> > environments, and not the library or agent, I don't think it is a concern
> > for the purpose of the RC vote.  It's an easy fix as well... I opened
> > MINIFICPP-318 [1] and submitted a PR [2].
> >
> > Thanks to everyone who has contributed the many features and improvements
> > since the last release, and thanks Marc for pulling the RC together!
> >
> > [1] https://issues.apache.org/jira/browse/MINIFICPP-318
> > [2] https://github.com/apache/nifi-minifi-cpp/pull/204
> >
> > Thanks,
> > Kevin
> >
> > On 11/22/17, 18:42, "Aldrin Piri" <[hidden email]> wrote:
> >
> >     +1, binding
> >
> >     Built, tested, and created Docker container on OS X 10.12 and Centos
> > 7.3
> >
> >     Ran a few flows and verified expected functionality on both systems.
> >
> >     Thanks for getting this RC together!
> >
> >     On Wed, Nov 22, 2017 at 10:49 AM, Jeremy Dyer <[hidden email]>
> > wrote:
> >
> >     > Your right let’s not put out another release for this since it can
> be
> >     > simply fixed by using the flags you provided. I went through the
> > build
> >     > again and validated the runtime. Everything looks good now so I’m
> > changing
> >     > my vote to a
> >     >
> >     > +1
> >     >
> >     > - Jeremy
> >     >
> >     > > On Nov 22, 2017, at 10:31 AM, Marc <[hidden email]> wrote:
> >     > >
> >     > > Jeremy,
> >     > >  Thanks for your vote.
> >     > >
> >     > >  Your version of GCC will likely cause this warnings due to spec
> >     > > additions, and since RocksDB fails on any warning your build
> > failed as
> >     > well.
> >     > >
> >     > >  Please try the following before running make: *cmake
> -DPORTABLE=ON
> >     > > -DFAIL_ON_WARNINGS= ..*
> >     > >
> >     > >  I am not in favor of upgrading the version of RocksDB before
> > another RC
> >     > > to address the issue, if it does ( there are others to address as
> > well ).
> >     > > RocksDB created another release which I think may address this
> > particular
> >     > > warning, but others may cause the build to fail. In some cases
> > these
> >     > > warnings are simply to address potential performance issues.
> >     > >
> >     > >  In regards to your -1, I'm happy to put out another RC that
> > hardcodes
> >     > the
> >     > > option* -DFAIL_ON_WARNINGS= *, effectively disabling the failure,
> > but I'm
> >     > > on the fence about that. Should I simply augment the procedures?
> > Would
> >     > love
> >     > > input.
> >     > >
> >     > >  Upgrading RocksDB introduces risk too, of course. The previous
> > plan was
> >     > > to merge an updated PR for RocksDB shortly after this release to
> > avoid
> >     > > incurring additional risk for 0.3.0.
> >     > >
> >     > >  Thanks,
> >     > >  Marc
> >     > >
> >     > >
> >     > >
> >     > >> On Wed, Nov 22, 2017 at 9:09 AM, Jeremy Dyer <[hidden email]>
> > wrote:
> >     > >>
> >     > >> -1 Marc I'm having trouble getting this to build using Ubuntu
> > 17.10 with
> >     > >> GCC version "gcc (Ubuntu 7.2.0-8ubuntu3) 7.2.0" seems to be an
> > issue
> >     > with
> >     > >> building RocksDB with this version of GCC. Looks like there is
> an
> >     > update of
> >     > >> RocksDB where this would work however. What do you think?
> >     > >>
> >     > >>> On Tue, Nov 21, 2017 at 3:06 PM, Marc <[hidden email]>
> > wrote:
> >     > >>>
> >     > >>> Hello Apache NiFi Community,
> >     > >>>
> >     > >>> I am pleased to be calling this vote for the source release of
> > Apache
> >     > >> NiFi
> >     > >>> MiNiFi C++, nifi-minifi-cpp-0.3.0.
> >     > >>>
> >     > >>> The source archive, signature, and digests can be located at:
> >     > >>>
> >     > >>> Source Archive:
> >     > >>>
> >     > >>> https://dist.apache.org/repos/dist/dev/nifi/nifi-minifi-cpp/
> >     > >>> 0.3.0/nifi-minifi-cpp-0.3.0-source.tar.gz
> >     > >>> GPG armored signature:
> >     > >>>
> >     > >>> https://dist.apache.org/repos/dist/dev/nifi/nifi-minifi-cpp/
> >     > >>> 0.3.0/nifi-minifi-cpp-0.3.0-source.tar.gz.asc
> >     > >>> Source MD5:
> >     > >>>
> >     > >>> https://dist.apache.org/repos/dist/dev/nifi/nifi-minifi-cpp/
> >     > >>> 0.3.0/nifi-minifi-cpp-0.3.0-source.tar.gz.md5
> >     > >>> Source SHA1:
> >     > >>>
> >     > >>> https://dist.apache.org/repos/dist/dev/nifi/nifi-minifi-cpp/
> >     > >>> 0.3.0/nifi-minifi-cpp-0.3.0-source.tar.gz.sha1
> >     > >>> Source SHA256:
> >     > >>>
> >     > >>> https://dist.apache.org/repos/dist/dev/nifi/nifi-minifi-cpp/
> >     > >>> 0.3.0/nifi-minifi-cpp-0.3.0-source.tar.gz.sha256
> >     > >>>
> >     > >>> The Git tag is minifi-cpp-0.3.0-RC1
> >     > >>> The Git commit hash is d3852a73beaafa78a789d975f6d3a5
> 95b7761d41
> >     > >>> *
> >     > >>> https://git-wip-us.apache.org/repos/asf?p=nifi-minifi-cpp.
> >     > >> git;a=commit;h=
> >     > >>> d3852a73beaafa78a789d975f6d3a595b7761d41
> >     > >>> *
> >     > >>> https://github.com/apache/nifi-minifi-cpp/commit/
> >     > >>> d3852a73beaafa78a789d975f6d3a595b7761d41
> >     > >>>
> >     > >>> Checksums of nifi-minifi-cpp-0.3.0-source.tar.gz:
> >     > >>> MD5: 8bcc8987e8322e1be0ddc631adc4f9bd
> >     > >>> SHA1: 811cc8c54572f25121b64b123a8fca176e81509b
> >     > >>> SHA256: f87815c31b5b15a30d2261800a89d9
> > eab678d5ecc485d53f83c035d6ddb3
> >     > 1b8a
> >     > >>>
> >     > >>> Release artifacts are signed with the following key:
> >     > >>> https://people.apache.org/keys/committer/phrocker
> >     > >>>
> >     > >>> KEYS file available here:
> >     > >>> https://dist.apache.org/repos/dist/dev/nifi/KEYS
> >     > >>>
> >     > >>> 59 issues were closed/resolved for this release:
> >     > >>> https://issues.apache.org/jira/secure/ReleaseNote.jspa?
> >     > >>> projectId=12321520&version=12341640
> >     > >>>
> >     > >>> Release note highlights can be found here:
> >     > >>> https://cwiki.apache.org/confluence/display/MINIFI/
> >     > >>> Release+Notes#ReleaseNotes-Versioncpp-0.3.0
> >     > >>>
> >     > >>> Since Thursday is a major US Holiday, the vote will be open for
> > 96
> >     > hours
> >     > >>> and will close on 25 Nov at 3PM EDT [1].
> >     > >>>
> >     > >>> Please download the release candidate and evaluate the
> necessary
> > items
> >     > >>> including checking hashes, signatures, build from source, and
> > test.
> >     > Then
> >     > >>> please vote:
> >     > >>>
> >     > >>> [ ] +1 Release this package as nifi-minifi-cpp-0.3.0
> >     > >>> [ ] +0 no opinion
> >     > >>> [ ] -1 Do not release this package because...
> >     > >>>
> >     > >>> Thanks!
> >     > >>>
> >     > >>>
> >     > >>> [1] You can determine this time for your local time zone at
> >     > >>> https://s.apache.org/minifi-cpp-0.3.0-rc1-close
> >     > >>>
> >     > >>
> >     >
> >
> >
> >
> >
>